Ubuntu Software Center не может установить обновления установленного программного обеспечения - proUbuntu
2 голосов
/

Ubuntu 18.04.1, Gnome Shell 3.28.1, Ubuntu Software 3.28.1, на компьютере с архитектурой x86_64.

Недавно у меня появилась эта проблема:

Ubuntu Software представляет настольные уведомления о том, что для различных пакетов программного обеспечения доступны обновления. Я запускаю Ubuntu Software, захожу на вкладку «Обновления» и вижу все пакеты для обновления с кнопками «Обновить» рядом с ними. Для каждого из них, когда я нажимаю кнопку «Обновить», я получаю сообщение об ошибке этого формата:

Невозможно обновить xxxxx: Не удалось найти обновление для 'xxx / xxx.xxx.xxx.xxx / x86_64 / stable'

где "ххх" представляет некоторый текст.

(Я приложил к этой публикации скриншот типичного сообщения для программного пакета «Уютный».)

После того как я отклонил это сообщение, приложение исчезло из списка пакетов для обновления. В конце концов, я просматриваю их все, а затем Ubuntu Software говорит: «Программное обеспечение обновлено».

Понятия не имею, правильно ли обновлены пакеты.

Что означает это сообщение, и что я должен делать, чтобы исправить все, что не так?

enter image description here

1 Ответ

0 голосов
/

Я столкнулся с похожей проблемой с Audacity, которую я установил через flatpak. В моем случае я не получил более конкретного сообщения об ошибке, чем «Невозможно обновить Audacity», и я никогда не получал вводящее в заблуждение сообщение «Программное обеспечение обновлено». Это всегда будет терпеть неудачу одинаково.

Вот как я это решил:

  • пробег flatpak list
  • определить имя уязвимого приложения из этого списка; для Audacity, который указан как org.audacityteam.Audacity/x86_64/stable, имя org.audacityteam.Audacity
  • запустить flatpak update NAME для каждого приложения
...